Subject: [scim] Fwd: New Version Notification for draft-hunt-scim-search-00.txt

From: Phil Hunt <[email-masked]>
Date: Thu, 28 May 2015 09:13:31 -0700

As proposed, here is a draft profiling SCIM using the proposed draft for HTTP SEARCH. 

This is not a high priority for SCIM, but I thought it would add value to the HTTP discussions happening now. 

SCIM is a good use case because you can see SCIM has already had to use both GET and POST for searching. 

In a future world I believe the core scim specs could have been simpler with a http search method. 

Also adding to the discussion in the draft is the notion of stored queries and the relationship with SEARCH. 

Phil

Begin forwarded message:

> From: [email-masked]
> Date: May 28, 2015 at 09:05:49 PDT
> To: "Phil Hunt" <[email-masked]>, "Phil Hunt" <[email-masked]>
> Subject: New Version Notification for draft-hunt-scim-search-00.txt
> 
> 
> A new version of I-D, draft-hunt-scim-search-00.txt
> has been successfully submitted by Phil Hunt and posted to the
> IETF repository.
> 
> Name:        draft-hunt-scim-search
> Revision:    00
> Title:        SCIM HTTP SEARCH Method Extension
> Document date:    2015-05-28
> Group:        Individual Submission
> Pages:        13
> URL:            https://www.ietf.org/internet-drafts/draft-hunt-scim-search-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-hunt-scim-search/
> Htmlized:       https://tools.ietf.org/html/draft-hunt-scim-search-00
> 
> 
> Abstract:
>   The System for Cross-Domain Identity Management (SCIM) specification
>   is an HTTP based protocol that makes managing identities in multi-
>   domain scenarios easier to support through a standardized service.
>   Examples include but are not limited to enterprise to cloud service
>   providers, and inter-cloud based scenarios.  This specification
>   extends the SCIM Protocol to include support for HTTP SEARCH.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>